Page MenuHomePhabricator

Request creation of finding-glams VPS project
Closed, ResolvedPublic

Description

Project Name: finding-glams

Wikitech Usernames of requestors: @Yarl, @Lokal_Profil

Purpose: client (front-end) and server application for Finding GLAMs initiative (https://meta.wikimedia.org/wiki/FindingGLAMs)

Brief description: Software that will be used:

How soon you are hoping this can be fulfilled: this week

Event Timeline

Yarl created this task.Sep 23 2019, 7:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2019, 7:34 PM
Lokal_Profil updated the task description. (Show Details)Sep 23 2019, 8:44 PM
Lokal_Profil added a subscriber: Lokal_Profil.
Bstorm added a subscriber: Bstorm.Sep 24 2019, 4:33 PM

I just want to set expectations on this as a Cloud VPS. Reading about the project, it seems like it might need significant scale and redundancy? On Cloud VPS, we have a major single point of failure because we use local storage for now (if a VM is on a particular failing hypervisor, the hypervisor is a single point of failure right now). When we need to move VMs, they take downtime as well, as of now.

As long as what is planned here can handle that sort of thing (and maybe redundancy is planned through layout of VMs etc), then this is fine. I just wanted to make sure and check on that because of my perceived visibility of the project or if it should be in a more "production" type environment with more monitoring etc.

@Yarl – feel free to go along with whatever you think will work. Realistically we are not expecting a very heavy load. Just getting the app up and running is the most important thing right now – are you predicting any problems with the VPS setup?

Yarl added a comment.Sep 26 2019, 2:59 PM

I don't think so. But in the same time I have no dev-ops experience. We will just go with what is available I think.

Bstorm assigned this task to aborrero.Oct 1 2019, 5:15 PM
Bstorm triaged this task as Normal priority.
Bstorm moved this task from Inbox to Approved on the Cloud-VPS (Project-requests) board.

Mentioned in SAL (#wikimedia-cloud) [2019-10-03T11:18:48Z] <arturo> project created, added Yarl and Local Profil as project admings (T233656)

aborrero closed this task as Resolved.Oct 3 2019, 11:19 AM

All is done!

All is done!

Many thanks!